/*
 * DiffEntriesModel.java
 * Created on 2011/10/13
 * RCSID: $Id:$
 *
 * Copyright (C) 2011-2013 Nippon Telegraph and Telephone Corporation
 *
 */

package jp.co.ntt.oss.heapstats.gui;

import javax.swing.table.DefaultTableModel;

/**
 * extends {@link DefaultTableModel}<br>
 * <br>
 * "Delta Data" is an implementation of the DefaultTableModel to display the
 * object list.
 */
public class DiffEntriesModel extends DefaultTableModel {
    /** serialVersionUID. */
    static final long serialVersionUID = 9092869763865053682L;

    /** Table Header. */
    private static final String[] TABLE_HEADER = {"",
            GuiCommon.getResources().getString(GuiCommon.OBJECTLIST_NAME),
            GuiCommon.getResources().getString(GuiCommon.OBJECTLIST_INSTANCE),
            GuiCommon.getResources().getString(GuiCommon.OBJECTLIST_SIZE)};

    /**
     * Constructs a DefaultTableModel with as many columns as there are elements
     * in columnNames and rowCount of null object values.
     */
    public DiffEntriesModel() {
        super(TABLE_HEADER, 0);
    }

    @Override
    public final Class<?> getColumnClass(final int columnIndex) {
        if (columnIndex != 1) {
            return Long.class;
        } else {
            return String.class;
        }
    }
}
