/*
 * ParserEventHandler.java
 * Created on 2011/10/13
 * RCSID: $Id:$
 *
 * Copyright (C) 2011-2013 Nippon Telegraph and Telephone Corporation
 *
 */

package jp.co.ntt.oss.heapstats.parser;

import jp.co.ntt.oss.heapstats.container.ObjectData;
import jp.co.ntt.oss.heapstats.container.SnapShotHeader;

/**
 * a ParserEventHandler is an event handler to write to the file.
 */
public interface ParserEventHandler {
    /** this enumeration is the Parse Result. */
    public enum ParseResult {
        /** Continue. */
        HEAPSTATS_PARSE_CONTINUE,
        /** Abort. */
        HEAPSTATS_PARSE_ABORT,
        /** Skip. */
        HEAPSTATS_PARSE_SKIP
    }

    /**
     * Set the header of the snapshot.
     *
     * @param header the SnapShot Header Information
     * @return Return the ParseResult
     */
    ParseResult onNewSnapShot(SnapShotHeader header);

    /**
     * Set the object information.
     *
     * @param data the Object information.
     * @return Return the ParseResult
     */
    ParseResult onEntry(ObjectData data);
}
